### Method

# Gio File peek_path

since: 2.56

#### Declaration

    const char*
    g_file_peek_path (
      GFile* file
    )

#### Description

Exactly like g_file_get_path(), but caches the result via g_object_set_qdata_full(). This is useful for example in C applications which mix `g_file_*` APIs with native ones. It also avoids an extra duplicated string when possible, so will be generally more efficient.

This call does no blocking I/O.

Available since: 2.56

#### Return value

Type: `const char*`

String containing the `GFile`‘s path, or `NULL` if no such path exists. The returned string is owned by `file`.

The data is owned by the instance.
The return value can be `NULL`.
The value is a file system path, using the OS encoding.